com.mapinfo.midev.unit

## Class ComputationType

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.unit.ComputationType

All Implemented Interfaces:
  Serializable, Comparable

    public final class ComputationType
    extends Enum

Indicates the logic to be used to interpret geometry coordinates when doing computations such as length and area.

See Also:
  Serialized Form

### Field Summary

Fields
`static ComputationType` `CARTESIAN` The geometry coordinates are interpreted using cartesian logic.
`static ComputationType` `SPHERICAL` The geometry coordinates are interpreted using spherical logic.

### Method Summary

All Methods Static Methods Concrete Methods
`static ComputationType` `valueOf(String name)`
`static ComputationType[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CARTESIAN

    public static final ComputationType CARTESIAN

The geometry coordinates are interpreted using cartesian logic.

The geometry is treated as points on a flat plane. This computation type can be used with projected and non-earth coordinate systems.

#### SPHERICAL

    public static final ComputationType SPHERICAL

The geometry coordinates are interpreted using spherical logic.

The geometry is treated as points on a perfect (non-flattened) sphere. This computation type can be used with geographic (LongLat) and projected coordinate systems.

### Method Detail

#### values

    public static ComputationType[] values()

#### valueOf

    public static ComputationType valueOf(String name)